package com.sw.mes.yb.plan.service;

import com.sw.mes.core.annotation.Jinko;
import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.plan.entity.PlanProductionOrderBom;

/**
 * 订单Bom信息Service接口
 * 
 * @author liru
 * @date 2023-12-31
 */
@Jinko(value="订单Bom信息Service接口",author = "liru")
public interface PlanProductionOrderBomService extends BaseService<PlanProductionOrderBom>
{

    void deleteByPlanProductionOrderId(Long id);
    
    PlanProductionOrderBom findByOrderIdAndMatnr(Long orderId, String matnr);

    PlanProductionOrderBom findByPlanProductionOrderId(Long id);
}
